--- title: "Get canary analysis report" slug: "devtools-sourcedeploy-canaryanalysisreport" tags: ["SourceDeploy"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcedeploy-canaryanalysisreport" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get canary analysis report Available in VPC Get the canary analysis report. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/project/{projectId}/history/{historyId}/report/{endTime} | ### Request headers For information about the headers common to all SourceDeploy APIs, see [SourceDeploy request headers](/docs/en/devtools-sourcedeploy#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectId` | String | Required | Project ID - See [Get project list](/docs/en/devtools-sourcedeploy-projectlist). | | `historyId` | String | Required | Job result ID - See [Get scenario deployment history list](/docs/en/devtools-sourcedeploy-historylist). | | `endTime` | String | Required | Canary analysis completion time - See [Get canary analysis step list](/docs/en/devtools-sourcedeploy-canaryanalysislist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcedeploy.apigw.ntruss.com/api/v1/project/1****/history/28****/report/1748333308000' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.status` | String | - | Analysis success status - `pass` \| `fail` - `pass`: succeeded - `fail`: failed | | `result.score` | Number | - | Total score | | `result.passScore` | Number | - | Analysis success score | | `result.start` | Number | - | Analysis start date and time - Unix timestamp format | | `result.end` | Number | - | Analysis completion date and time - Unix timestamp format | | `result.step` | Number | - | Metric collection cycle (second) | | `result.metricList` | Array | - | Metric list: [metricList](/docs/en/devtools-sourcedeploy-canaryanalysisreport#metricList) | #### `metricList` The following describes `metricList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `metricId` | Number | - | Metric ID | | `metricName` | String | - | Metric name | | `weight` | Number | - | Metric weight | | `elementList` | Array | - | Element result information: [elementList](/docs/en/devtools-sourcedeploy-canaryanalysisreport#elementList) | #### `elementList` The following describes `elementList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | - | Element name | | `element` | String | - | Element value | | `deviation` | Number | - | Element deviation | | `status` | String | - | Element result - `pass` \| `fail` - `pass`: succeeded - `fail`: failed | | `base` | Object | - | Baseline query result: [Analysis information](/docs/en/devtools-sourcedeploy-canaryanalysisreport#%EB%B6%84%EC%84%9D%EC%A0%95%EB%B3%B4) | | `canary` | Object | - | Canary query result: [Analysis information](/docs/en/devtools-sourcedeploy-canaryanalysisreport#%EB%B6%84%EC%84%9D%EC%A0%95%EB%B3%B4) | #### Analysis information The following describes the analysis information. | Field | Type | Required | Description | | --- | --- | --- | --- | | `start` | Number | - | Analysis start date and time - Unix timestamp format | | `end` | Number | - | Analysis end date and time - Unix timestamp format | | `count` | Number | - | Number of collected data | | `avg` | Number | - | Average value of data | | `max` | Number | - | Maximum value of data | | `min` | Number | - | Minimum value of data | ### Response status codes For information about the HTTP status codes common to all SourceDeploy APIs, see [SourceDeploy response status codes](/docs/en/devtools-sourcedeploy#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "status": "pass", "score": 100, "passScore": 50, "start": 1748333248000, "end": 1748333308000, "step": 10, "metricList": [ { "metricId": 239, "metricName": "metric1", "weight": 100, "elementList": [ { "name": "#1", "element": "{\"__name__\":\"container_cpu_usage_seconds_total\",\"beta_kubernetes_io_arch\":\"amd64\",\"beta_kubernetes_io_instance_type\":\"SVR.VSVR.STAND.C002.M008.G003\"...\"regionNo\":\"1\",\"topology_kubernetes_io_region\":\"1\",\"topology_kubernetes_io_zone\":\"3\",\"zoneNo\":\"3\"}", "deviation": 0, "status": "pass", "base": { "start": 1748333248000, "end": 1748333308000, "count": 7, "avg": 0.010353, "max": 0.010353, "min": 0.010353 }, "canary": { "start": 1748333248000, "end": 1748333308000, "count": 7, "avg": 0.010353, "max": 0.010353, "min": 0.010353 } }, { "name": "#2", "element": "{\"__name__\":\"container_cpu_usage_seconds_total\",\"beta_kubernetes_io_arch\":\"amd64\",\"beta_kubernetes_io_instance_type\":\"SVR.VSVR.STAND.C002.M008.G003\"...\"regionNo\":\"1\",\"topology_kubernetes_io_region\":\"1\",\"topology_kubernetes_io_zone\":\"3\",\"zoneNo\":\"3\"}", "deviation": 0, "status": "pass", "base": { "start": 1748333248000, "end": 1748333308000, "count": 7, "avg": 0.008501, "max": 0.008501, "min": 0.008501 }, "canary": { "start": 1748333248000, "end": 1748333308000, "count": 7, "avg": 0.008501, "max": 0.008501, "min": 0.008501 } }, ... ] } ] } } ```